Solutions

Cannot use the VM I-Net Web Client with Firefox, Chrome or Edge when running VM 8.6.0 or older



ID:    S143393
Published:    09 March 2021

Operating System(s)

  • All Unix
  • All Windows

Product(s)

  • PVCS Version Manager
 

Description

Users of PVCS Version Manager 8.6.0 or older have no problem opening the VM I-Net Web Client from Internet Explorer 11 (IE 11), but when they try to open/access this client via Chrome, Microsoft Edge, or Firefox, it opens for a moment and then shows a "NOJRE" error similar to:
 
 

Resolution

VM 8.6.0 and older relied on the Java plug-in to run a Web Client applet, which was needed to perform local disk read and write operations that cannot be performed using standard browser functionality. Firefox and Chrome removed support for the Java plug-in years ago, and Edge never added it, so you cannot use any of these browsers with VM 8.6.0.

The solution to this problem is to upgrade to VM 8.6.1 or newer. As of this release, the Web Client switched to an Agent based approach, where a small stand-alone agent runs on the end user's PC to run the file I/O operations previously performed by the Java-based applet. The remaining browser code can now run in all of Internet Explorer, Firefox, Edge and Chrome.

In VM 8.6.2 that Agent was rewritten as a native executable (it was previously a Java-based application), so as of this release Web Client users are no longer required to have Java installed on their machines, potentially removing the need for a maintenance contract with Oracle to obtain their Java security updates.
 


Rate this Solution

Find Answers

Type a question or describe what you are looking for below

My Recent Searches

Welcome kb sso

Additional Assistance

  • Submit a Case Online
  • FAQs